Bug 466246 - Interactive installation fails with ext4dev root partition
Interactive installation fails with ext4dev root partition
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
i386 Linux
high Severity high
: rc
: ---
Assigned To: Eric Sandeen
Martin Jenner
:
: 465584 466758 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-09 08:45 EDT by Marian Ganisin
Modified: 2009-01-20 14:52 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 14:52:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda log (292.67 KB, text/plain)
2008-10-09 10:09 EDT, Marian Ganisin
no flags Details
dmesg log (12.93 KB, text/plain)
2008-10-09 11:03 EDT, Marian Ganisin
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0225 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.3 kernel security and bug fix update 2009-01-20 11:06:24 EST

  None (edit)
Description Marian Ganisin 2008-10-09 08:45:26 EDT
Description of problem:
When using interactive installation (GUI or text) with ext4 support, anaconda ends in traceback. All filesystems are properly formatted by anaconda, next step, installation of packages, doesn't start, it's interrupted by traceback

Version-Release number of selected component (if applicable):
RHEL5.3-Server-20081006.0-i386

Steps to Reproduce:
1. Start interactive installation
2. Select ext4dev format for root partition
3. Proceed to start of copying
Comment 1 Marian Ganisin 2008-10-09 10:09:51 EDT
Created attachment 319860 [details]
Anaconda log
Comment 2 Chris Lumens 2008-10-09 10:48:24 EDT
Are there any read errors from the CD drive?  Did you run media check before starting?  I don't think we've seen this yet in any nightly testing.
Comment 3 Marian Ganisin 2008-10-09 11:02:09 EDT
Installation media (CD image) passed media check. Also sha1sum of iso file is correct. I didn't find any issue related to CD drive like read errors etc. I'm using qemu/kvm virtual machine for testing.
Comment 4 Marian Ganisin 2008-10-09 11:03:23 EDT
Created attachment 319869 [details]
dmesg log
Comment 5 Radek Vykydal 2008-10-10 05:51:18 EDT
a guess: can't the problem be that the underlying

ioctl(fd1, LOOP_CHANGE_FD, fd2)

call, where fd1 points to /mnt/source/images/stage2.img
and fd2 points to /mnt/sysimage/rhinstall-stage2.img which
is on ext4dev fails with EINVAL (22) because ext4dev doesn't
support splice_read operation?)
(see loop_change_fd in linux/drivers/block/loop.c)
Comment 6 Radek Vykydal 2008-10-10 07:32:32 EDT
(In reply to comment #5)
> a guess: can't the problem be that the underlying
> 
> ioctl(fd1, LOOP_CHANGE_FD, fd2)
> 
> call, where fd1 points to /mnt/source/images/stage2.img
> and fd2 points to /mnt/sysimage/rhinstall-stage2.img which
> is on ext4dev fails with EINVAL (22) because ext4dev doesn't

blah, wrong guess, 22 is ENODEV

> support splice_read operation?)
> (see loop_change_fd in linux/drivers/block/loop.c)
Comment 7 Radek Vykydal 2008-10-10 08:07:43 EDT
(In reply to comment #6)

> > is on ext4dev fails with EINVAL (22) because ext4dev doesn't
> 
> blah, wrong guess, 22 is ENODEV

oops, 22 is really EINVAL
Comment 8 Marian Ganisin 2008-10-10 09:26:56 EDT
Same result with installation over http, doesn't matter on structure of installation tree. I fails with disk{1,2,3,...} directories as well as with whole installation tree in one directory.
Comment 9 Eric Sandeen 2008-10-10 10:19:43 EDT
This is probably due to an embarassing thinko; I left out the ->sendfile aops on the backport; it doesn't exist upstream and no testsuite caught this.

See also Bug 465584

I'll make a fixed ext4dev.ko for rvykydal to test, hopefully this is all it is.

-Eric
Comment 10 Radek Vykydal 2008-10-10 13:46:14 EDT
The fixed module works, tested on cdrom install with
RHEL5.3-Server-20081009.nightly-i386-DVD.iso.
Comment 11 Chris Lumens 2008-10-13 10:13:29 EDT
*** Bug 466758 has been marked as a duplicate of this bug. ***
Comment 13 Eric Sandeen 2008-10-13 10:42:12 EDT
Ok, so this is an ext4 kernel bug.

The fix is a 3-line addition to ext4, no impact outside of this filesystem.
Comment 14 RHEL Product and Program Management 2008-10-13 10:53:34 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 16 Eric Sandeen 2008-10-13 11:49:27 EDT
*** Bug 465584 has been marked as a duplicate of this bug. ***
Comment 18 Don Zickus 2008-10-29 12:18:43 EDT
in kernel-2.6.18-121.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 21 Marian Ganisin 2008-11-03 05:40:08 EST
Verified with RHEL5.3-Server-20081102.nightly-i386 (source on cdrom).
Issue didn't occur.
Comment 23 errata-xmlrpc 2009-01-20 14:52:26 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.